Subject: Guix on Debian Testing sbcl package needs warning to set SBCL_HOME

From: Christopher W Carpenter <[email-masked]>
Date: Fri, 05 Feb 2016 23:40:02 -0600

I talked with mark weaver about this on #guix and he asked me to send a
mail.

When doing guix package -i sbcl on my newly setup debian testing + guix
machine and then attempting to run sbcl I got the error:

fatal error encountered in SBCL pid 7492(tid 140737354086144):
can't find core file at /usr/lib64/sbcl/sbcl.core

Exporting SBCL_HOME=$HOME/.guix-profile/lib/sbcl fixes this for me. The
way this seems to be handled other places is by printing a message after
the package install explaining that this may be needed.

This seems like the appropriate thing to do to me. I'd love to submit a
patch if someone can guide me through it, I just started seriously
trying guix out today.

Thanks,
Christopher Carpenter

P.S. Please make sure to CC me in replies, I have not joined the mailing
list (yet).